export declare function predicate<T>(strings: TemplateStringsArray, ...values: T[]): Predicate<T>;
export interface Predicate<T> {
    key?: (value: T) => any;
    (value: T): {
        seek: number;
        match: boolean;
    };
}
export interface Query {
    [field: string]: any | Predicate<any>;
}
